[jhc] [bug][jhc 7.7] about newIOArray: variable undeclared in the generated C source

John Meacham john at repetae.net
Wed Jan 18 00:44:00 CET 2012

Hi, I'd rather have DrIFT depend only on haskell98, that will give it
the widest range of compilers it will work on. as far as i know, it is
already pure haskell 98 so it should just need the right compile flag
on new versions of ghc.

I tend to mainly keep jhc compatible with what is in ubuntus stable
release, which is ghc 7.0.2 at the moment. though patches for newer
versions would be appreciated of course.


On Tue, Jan 17, 2012 at 1:27 PM, Dirk Ullrich
<dirk.ullrich at googlemail.com> wrote:
> Hallo John,
> your announcement that jhc now can be built by GHC 7.0 started me to
> try the even newer GHC 7.2 and 7.4rc1. There seams some work to do,
> and for warming up I've tried to patch DrIFT for these GHC versions. I
> attach a patch for the darcs version of DrIFT. I have tested it both
> with GHC 7.2.2 and 7.4rc1, but not with older GHC versions since I
> currently only have 7.2.2 and 7.4rc1 installed.
> Hope that helps
> Dirk

More information about the jhc mailing list